petsc-3.4.2 2013-07-02

# PetscLayoutReference

Causes a PETSc Vec or Mat to share a PetscLayout with one that already exists. Used by Vec/MatDuplicate_XXX()

### Synopsis

    PetscErrorCode  PetscLayoutReference(PetscLayout in,PetscLayout *out)

Collective on PetscLayout

### Input Parameter

in -input PetscLayout to be copied

### Output Parameter

out -the reference location

Notes: PetscLayoutSetUp() does not need to be called on the resulting PetscLayout

If the out location already contains a PetscLayout it is destroyed

### See Also

PetscLayoutCreate(), PetscLayoutDestroy(), PetscLayoutSetUp(), PetscLayoutDuplicate()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages